<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;
if(!get_active('forums'))
{
	notActive();
}

$f_id = escs($_REQUEST['fid']);
//=================================================================
// zugriffsrechte
//=================================================================
$cat_query = $GLOBALS['db']->Query("SELECT group_id FROM " . PREFIX . "_f_forum WHERE id = '" . $f_id . "'");
while ($category = $cat_query->fetchrow_assoc()) {
	
	//=================================================================
	// miscrechte
	//=================================================================
	$group_ids = miscIds();
	$groups = explode(",", $category['group_id']);
	if (array_intersect($group_ids, $groups)) 
	{
		$permissions = getForumPermissionsByUser($f_id, UID);
	}
}

//=================================================================
//=================================================================
if ( (@$_SESSION['loggedin'] != 1) || ($permissions[FORUM_PERMISSIONS_CAN_CLOSE_TOPIC] == 0) ) koobi_message('Global_NoPermission', 'Global_NoPermission_t', HOME_PATH . '/index.php?p=showforums&amp;area=' . AREA);
if ($_REQUEST['toid'] == "" || $_REQUEST['fid'] == '') koobi_message('Forums_Title', 'Forums_PermissionDenied', HOME_PATH . '/index.php?p=showforums&amp;area=' . AREA);

$forum = $GLOBALS['db']->RowQuery("SELECT status FROM " . PREFIX . "_f_forum WHERE id = '$f_id'");
if ($forum->status == FORUM_STATUS_CLOSED) koobi_message('Forums_Title', 'Forums_MsgisClosed', HOME_PATH . '/index.php?p=showforum&amp;fid=' . $f_id);

$status = FORUM_STATUS_CLOSED;
$GLOBALS['db']->Query("UPDATE " . PREFIX . "_f_topic SET status = $status WHERE id = '" . escs($_REQUEST['toid']) ."'");

refer("index.php?p=showtopic&toid=$_REQUEST[toid]&fid=$_REQUEST[fid]");
exit;
?>